| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Todo List

Page Date and Time
  WRITE THIS DOC PARAGRAPH.
Page Samples Overview

  Write descriptions for the samples who description started with "This sample demonstrates", they are semi-auto generated.

  This sample isn't very didactive; it's more than a set of tests rather than a sample and thus should be rewritten with CppUnit and moved under "tests"

Member wxAuiManagerDock
  wxAuiPaneInfo dock direction types used with wxAuiManager.
Member wxAuiManagerEvent::GetDC ()
  What is this?
Member wxAuiManagerEvent::SetDC (wxDC *pdc)
  What is this?
Member wxBitmap::SetDepth (int depth)
  since these functions do not affect the bitmap data, why they exist??
Class wxBitmapComboBox
  create wxCB_PROCESS_ENTER rather than reusing wxTE_PROCESS_ENTER!
Member wxClipboard::IsSupported (const wxDataFormat &format)
  The name of this function is misleading. This should be renamed to something that more accurately indicates what it does.
Class wxConnectionBase
  Document this class.
Class wxDatagramSocket
  docme
Class wxDateTimeHolidayAuthority
  Write wxDateTimeHolidayAuthority documentation.
Class wxDateTimeWorkDays
  Write wxDateTimeWorkDays documentation.
Class wxDC

  Precise definition of default/initial state.

  Pixelwise definition of operations (e.g. last point of a line not drawn).

Member wxDefaultDateTime
  Would it be better to rename this wxNullDateTime so it's consistent with the rest of the "empty/invalid/null" global objects?
Member wxEvtHandler::SearchEventTable (wxEventTable &table, wxEvent &event)
  this function in the header is listed as an "implementation only" function; are we sure we want to document it?
Member wxFFile::Eof () const
  THIS METHOD MAY CRASH? DOESN'T SOUND GOOD
Member wxFFile::Error () const
  THIS METHOD MAY CRASH? DOESN'T SOUND GOOD
Member wxFont::SetNativeFontInfoUserDesc (const wxString &info)
  add an example for wxMac
Member wxGridCellAttr::SetDefAttr (wxGridCellAttr *defAttr)
  Needs documentation.
Member wxHelpControllerBase::SetViewer (const wxString &viewer, long flags=wxHELP_NETSCAPE)
  modernize this function with wxLaunchDefaultBrowser
Member wxHtmlDCRenderer::Render (int x, int y, wxArrayInt &known_pagebreaks, int from=0, int dont_render=false, int to=INT_MAX)
  docme
  Parameters

    from | y-coordinate of the very first visible cell.
    dont_render | if true then this method only returns y coordinate of the next page and does not output anything.
    to | y-coordinate of the last visible cell.

Member wxHtmlTag::GetBeginPos () const
  provide deprecation description
Member wxHtmlTag::GetEndPos1 () const
  provide deprecation description
Member wxHtmlTag::GetEndPos2 () const
  provide deprecation description
Class wxHtmlTagHandler
  describe me
Page wxListCtrl Overview
  The wxListCtrl topic overview still needs to be written, sorry.
Page wxMBConv Overview
  rewrite this overview; it's not up2date with wxString changes
Member wxMediaCtrl::Seek (wxFileOffset where, wxSeekMode mode=wxFromStart)
  Document the wxSeekMode parameter mode, and perhaps also the wxFileOffset and wxSeekMode themselves.
Member wxPenCap
  use wxPENCAP_ prefix
Member wxPenJoin
  use wxPENJOIN_ prefix
Member wxPENSTYLE_STIPPLE_MASK
  WHAT's this?
Member wxPENSTYLE_STIPPLE_MASK_OPAQUE
  WHAT's this?
Member wxPGProperty::SetValueFromString (const wxString &text, int flags=0)
  docme
Member wxPreviewControlBar::CreateButtons ()
  which flags??
Member wxPrintout::GetTitle () const
  the python note here was wrong
Member wxPropertyGridInterface::GetPropertiesWithFlag (wxArrayPGProperty *targetArr, wxPGProperty::FlagType flags, bool inverse=false, int iterFlags=wxPG_ITERATE_PROPERTIES|wxPG_ITERATE_HIDDEN|wxPG_ITERATE_CATEGORIES) const
  docme
  Parameters

    flags | Property flags to use.
    inverse |

  docme
  Parameters

    iterFlags | Iterator flags to use. Default is everything expect private children. See wxPropertyGridIterator Flags.

Member wxPropertyGridInterface::GetPropertyValues (const wxString &listname=wxEmptyString, wxPGProperty *baseparent=NULL, long flags=0) const
  docme
  Parameters

    baseparent |

  docme
  Parameters

    flags | Use wxPG_KEEP_STRUCTURE to retain category structure; each sub category will be its own wxVariantList of wxVariant.

Member wxPropertyGridInterface::HideProperty (wxPGPropArg id, bool hide=true, int flags=wxPG_RECURSE)
  docme
  Parameters

    hide | If true, hides property, otherwise reveals it.
    flags | By default changes are applied recursively. Set this parameter wxPG_DONT_RECURSE to prevent this.

Member wxPropertyGridInterface::SetPropertyAttribute (wxPGPropArg id, const wxString &attrName, wxVariant value, long argFlags=0)
  docme
  Parameters

    attrName | Text identifier of attribute. See wxPropertyGrid Property Attribute Identifiers.
    value | Value of attribute.
    argFlags | Optional. Use wxPG_RECURSE to set the attribute to child properties recursively.

Member wxPropertyGridInterface::SetPropertyEditor (wxPGPropArg id, const wxPGEditor *editor)
  docme
  Parameters

    editor | For builtin editors, use wxPGEditor_X, where X is builtin editor's name (TextCtrl, Choice, etc. see wxPGEditor documentation for full list).

Class wxScrolled< T >
  review docs for this class replacing SetVirtualSizeHints() with SetMinClientSize().
Member wxScrollWinEvent::GetOrientation () const
  wxHORIZONTAL and wxVERTICAL should go in their own enum
Member wxSizerItem::SetInitSize (int x, int y)
  docme.
Member wxSizerItem::SetWindow (wxWindow *window)
  provide deprecation description
Class wxSocketClient
  describe me.
Class wxSocketServer
  describe me.
Class wxStyledTextEvent
  list styled text ctrl events.
Member wxVListBox::OnDrawBackground (wxDC &dc, const wxRect &rect, size_t n) const
  Change this function signature to non-const.
Member wxVListBox::OnDrawItem (wxDC &dc, const wxRect &rect, size_t n) const =0
  Change this function signature to non-const.
Member wxVListBox::OnDrawSeparator (wxDC &dc, wxRect &rect, size_t n) const
  Change this function signature to non-const.
Member wxWizard::SetBitmapPlacement (int placement)
  describe this